#include "bindSite.h"
#include "libheader.h"

/*****************************************************************************/
/*                                                                           */
/* Constructor and Destructor                                                */
/*                                                                           */
/*****************************************************************************/
BindSite::BindSite(const short position, const bool posStrain) {
  this->position=position;
  this->posStrain=posStrain;
}

BindSite::~BindSite() {
}

/*****************************************************************************/
/*                                                                           */
/* Pub 1 Access Attributes                                                   */
/*                                                                           */
/*****************************************************************************/

//get the position
const short BindSite::getPosition() {
  return position;
}

//check if it is in the positive strain
const bool BindSite::isPosStrain(){
  return posStrain;
}

/*****************************************************************************/
/*                                                                           */
/* Pub 2 Algorithms                                                          */
/*                                                                           */
/*****************************************************************************/

/*****************************************************************************/
/*                                                                           */
/* Pri 1 Algorithms                                                          */
/*                                                                           */
/*****************************************************************************/
