#ifndef BINDINGSITEPOSITION_H
#define BINDINGSITEPOSITION_H
#include "header.h"

class BindingSitePosition {
public:

  BindingSitePosition(const double _score, const int _seqNo,
		      const int _position=0, const int _motiflen=0) :
    seqNo (_seqNo),
    score (_score),
    position (_position), 
    motif_len (_motiflen)
    { }
  

  ~BindingSitePosition () {};
  //destructor
  
  /**
   * Pub 1 Access Attributes
   */
  
  const double getScore() { return score; };

  const int getSeqNo() { return seqNo; };

  const int getPosition () { return position; };
  
  const int getMotifLen () { return motif_len; };

 private:

  /**
   * Pri 1 parameters
   */
  const int seqNo;
  const double score; 
  const int position;
  const int motif_len;
};

#endif

